commit: d06ca24e4ac96b923b5956186225e46977cd7f2c
Author: Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Fri Apr 20 11:17:08 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr 22 23:11:08 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d06ca24e
app-crypt/moolticute: bump to 0.12.9
Package-Manager: Portage-2.3.24, Repoman-2.3.6
app-crypt/moolticute/Manifest | 1 +
app-crypt/moolticute/moolticute-0.12.9.ebuild | 66 +++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/app-crypt/moolticute/Manifest b/app-crypt/moolticute/Manifest
index 0ffdb142631..c9a99f7a489 100644
--- a/app-crypt/moolticute/Manifest
+++ b/app-crypt/moolticute/Manifest
@@ -1 +1,2 @@
DIST moolticute-0.12.7.tar.gz 5364075 BLAKE2B
a85a18264e5658a96454d4b934cca1b62b63b2d1b90352fe750f973e28dd2da78d0a95d3103d4e213d9bb96b76d28c79d6d77127a6c85078036b63e61889afe0
SHA512
f7db56c9bdf6d3f8d1ad573f37f0c394b53fd2acc1f257f2f8b113af1c1a050f40a3cdbf7d559cb45eb5e61533bae084f0b574db43da1598bfd056131df8edd9
+DIST moolticute-0.12.9.tar.gz 5364306 BLAKE2B
adf101a779d4a7dc801f9d7705e6d6b624fb380a502a0fadf38463045af38d7d3a0a2005d1617f9d5874349b347b39632ccbb89f9edb97f7f74f62a7fd129220
SHA512
c02542f3bc3db4740e981cdec8ffb753189b15a341e55812de0f0592e23a678a1be73167d6fa5ca32e943d9cdf5f4937abe8132332b490104beed82d5b8d24a7
diff --git a/app-crypt/moolticute/moolticute-0.12.9.ebuild
b/app-crypt/moolticute/moolticute-0.12.9.ebuild
new file mode 100644
index 00000000000..da3da6c6597
--- /dev/null
+++ b/app-crypt/moolticute/moolticute-0.12.9.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mooltipass/moolticute.git"
+ inherit git-r3
+ KEYWORDS=""
+else
+
SRC_URI="https://github.com/mooltipass/moolticute/archive/v${PV/_/-}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+inherit gnome2-utils qmake-utils udev
+
+DESCRIPTION="Mooltipass crossplatform daemon/tools"
+HOMEPAGE="https://github.com/mooltipass/moolticute"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ >=dev-libs/libusb-1.0.20
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qttest:5
+ dev-qt/qtwebsockets:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+"
+
+S="${WORKDIR}/${P/_/-}"
+
+src_prepare() {
+ default
+
+ # Fill version.h with package version
+ if [[ ${PV} != 9999* ]]; then
+ sed -i "s/\"git\"/\"v${PV/_/-}\"/" src/version.h || die
+ fi
+}
+
+src_configure() {
+ eqmake5 PREFIX="/usr" Moolticute.pro
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+
+ udev_dorules "${FILESDIR}/50-mooltipass.rule"
+ newinitd "${FILESDIR}/moolticuted.init" moolticuted
+}
+
+pkg_postinst() {
+ udev_reload
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}